ApiDataContext (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiDataContext

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiDataContext

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiDataContext
      extends Object

  ApiDataContext is the persistent storage/services context exported by the base cluster to be consumed by the compute cluster.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiDataContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiDataContext` | `addAllowedClusterVersionsItem(ApiMapEntry allowedClusterVersionsItem)`
    `ApiDataContext` | `addServicesDetailsItem(ApiService servicesDetailsItem)`
    `ApiDataContext` | `addServicesItem(ApiServiceRef servicesItem)`
    `ApiDataContext` | `addSupportedServiceTypesItem(String supportedServiceTypesItem)`
    `ApiDataContext` | `allowedClusterVersions(List<ApiMapEntry> allowedClusterVersions)`
    `ApiDataContext` | `clientConfigStalenessStatus(ApiConfigStalenessStatus clientConfigStalenessStatus)`
    `ApiDataContext` | `configStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)`
    `ApiDataContext` | `createdTime(String createdTime)`
    `ApiDataContext` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `List<ApiMapEntry>` | `getAllowedClusterVersions()` Get allowedClusterVersions
    `ApiConfigStalenessStatus` | `getClientConfigStalenessStatus()` Get clientConfigStalenessStatus
    `ApiConfigStalenessStatus` | `getConfigStalenessStatus()` Get configStalenessStatus
    `String` | `getCreatedTime()` Get createdTime
    `String` | `getDisplayName()` Get displayName
    `ApiHealthSummary` | `getHealthSummary()` Get healthSummary
    `String` | `getLastModifiedTime()` Get lastModifiedTime
    `String` | `getName()` Get name
    `String` | `getNameservice()` Get nameservice
    `List<ApiServiceRef>` | `getServices()` Get services
    `List<ApiService>` | `getServicesDetails()` Get servicesDetails
    `List<String>` | `getSupportedServiceTypes()` Get supportedServiceTypes
    `int` | `hashCode()`
    `ApiDataContext` | `healthSummary(ApiHealthSummary healthSummary)`
    `ApiDataContext` | `lastModifiedTime(String lastModifiedTime)`
    `ApiDataContext` | `name(String name)`
    `ApiDataContext` | `nameservice(String nameservice)`
    `ApiDataContext` | `services(List<ApiServiceRef> services)`
    `ApiDataContext` | `servicesDetails(List<ApiService> servicesDetails)`
    `void` | `setAllowedClusterVersions(List<ApiMapEntry> allowedClusterVersions)`
    `void` | `setClientConfigStalenessStatus(ApiConfigStalenessStatus clientConfigStalenessStatus)`
    `void` | `setConfigStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)`
    `void` | `setCreatedTime(String createdTime)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setHealthSummary(ApiHealthSummary healthSummary)`
    `void` | `setLastModifiedTime(String lastModifiedTime)`
    `void` | `setName(String name)`
    `void` | `setNameservice(String nameservice)`
    `void` | `setServices(List<ApiServiceRef> services)`
    `void` | `setServicesDetails(List<ApiService> servicesDetails)`
    `void` | `setSupportedServiceTypes(List<String> supportedServiceTypes)`
    `ApiDataContext` | `supportedServiceTypes(List<String> supportedServiceTypes)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiDataContext

          public ApiDataContext()

  - ### Method Detail

    - #### name

          public ApiDataContext name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### displayName

          public ApiDataContext displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Get displayName
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### nameservice

          public ApiDataContext nameservice(String nameservice)

    - #### getNameservice

          public String getNameservice()

      Get nameservice
      Returns:
        nameservice

    - #### setNameservice

          public void setNameservice(String nameservice)

    - #### createdTime

          public ApiDataContext createdTime(String createdTime)

    - #### getCreatedTime

          public String getCreatedTime()

      Get createdTime
      Returns:
        createdTime

    - #### setCreatedTime

          public void setCreatedTime(String createdTime)

    - #### lastModifiedTime

          public ApiDataContext lastModifiedTime(String lastModifiedTime)

    - #### getLastModifiedTime

          public String getLastModifiedTime()

      Get lastModifiedTime
      Returns:
        lastModifiedTime

    - #### setLastModifiedTime

          public void setLastModifiedTime(String lastModifiedTime)

    - #### services

          public ApiDataContext services(List<ApiServiceRef> services)

    - #### addServicesItem

          public ApiDataContext addServicesItem(ApiServiceRef servicesItem)

    - #### getServices

          public List<ApiServiceRef> getServices()

      Get services
      Returns:
        services

    - #### setServices

          public void setServices(List<ApiServiceRef> services)

    - #### servicesDetails

          public ApiDataContext servicesDetails(List<ApiService> servicesDetails)

    - #### addServicesDetailsItem

          public ApiDataContext addServicesDetailsItem(ApiService servicesDetailsItem)

    - #### getServicesDetails

          public List<ApiService> getServicesDetails()

      Get servicesDetails
      Returns:
        servicesDetails

    - #### setServicesDetails

          public void setServicesDetails(List<ApiService> servicesDetails)

    - #### supportedServiceTypes

          public ApiDataContext supportedServiceTypes(List<String> supportedServiceTypes)

    - #### addSupportedServiceTypesItem

          public ApiDataContext addSupportedServiceTypesItem(String supportedServiceTypesItem)

    - #### getSupportedServiceTypes

          public List<String> getSupportedServiceTypes()

      Get supportedServiceTypes
      Returns:
        supportedServiceTypes

    - #### setSupportedServiceTypes

          public void setSupportedServiceTypes(List<String> supportedServiceTypes)

    - #### allowedClusterVersions

          public ApiDataContext allowedClusterVersions(List<ApiMapEntry> allowedClusterVersions)

    - #### addAllowedClusterVersionsItem

          public ApiDataContext addAllowedClusterVersionsItem(ApiMapEntry allowedClusterVersionsItem)

    - #### getAllowedClusterVersions

          public List<ApiMapEntry> getAllowedClusterVersions()

      Get allowedClusterVersions
      Returns:
        allowedClusterVersions

    - #### setAllowedClusterVersions

          public void setAllowedClusterVersions(List<ApiMapEntry> allowedClusterVersions)

    - #### configStalenessStatus

          public ApiDataContext configStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)

    - #### getConfigStalenessStatus

          public ApiConfigStalenessStatus getConfigStalenessStatus()

      Get configStalenessStatus
      Returns:
        configStalenessStatus

    - #### setConfigStalenessStatus

          public void setConfigStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)

    - #### clientConfigStalenessStatus

          public ApiDataContext clientConfigStalenessStatus(ApiConfigStalenessStatus clientConfigStalenessStatus)

    - #### getClientConfigStalenessStatus

          public ApiConfigStalenessStatus getClientConfigStalenessStatus()

      Get clientConfigStalenessStatus
      Returns:
        clientConfigStalenessStatus

    - #### setClientConfigStalenessStatus

          public void setClientConfigStalenessStatus(ApiConfigStalenessStatus clientConfigStalenessStatus)

    - #### healthSummary

          public ApiDataContext healthSummary(ApiHealthSummary healthSummary)

    - #### getHealthSummary

          public ApiHealthSummary getHealthSummary()

      Get healthSummary
      Returns:
        healthSummary

    - #### setHealthSummary

          public void setHealthSummary(ApiHealthSummary healthSummary)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.